Add Ticketing Ticket
Adds a Ticketing ticket.
POST /automation/tickets
- Does not accept filter and sort expressions.
Headers
- Authorization: Bearer {hash string returned from Auth}
Model Schema
|
Field |
Datatype |
Filterable |
Sortable |
Required Field |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Sample Request Model
{"AssocMachineGroupId": "unnamed.root",
"AssocMachineId": "njl_win_7_2.root.unnamed",
"Subject": "Test API Call 001",
"SubmitterEmailAddr": "Kadmin@kaseya.com",
"SubmitterName": "Kadmin",
"Body": "This is a test ticket created from the API",
"NewTicketFlag": "",
"NoNotificationFlag": "",
"SourceType": "API",
"SourceTag1": "Priority",
"SourceValue1": "Low",
"SourceTag2": "",
"SourceValue2": "",
"SourceTag3": "",
"SourceValue3": "",
"Attributes": {}}
NOTE! A sample request provided above is a sample. Your request should be populated with values related to your VSA account.
Sample Request Model
{"Result": "string",
"ResponseCode": 0,
"Status": "string",
"Error": "string"
}
